Bug 439740 - uvcvideo driver consumes more power even if the webcam is not used
uvcvideo driver consumes more power even if the webcam is not used
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-30 23:13 EDT by William Lovaton
Modified: 2010-06-28 06:34 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 06:34:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
powertop output for the command line (1.23 KB, text/plain)
2008-03-30 23:19 EDT, William Lovaton
no flags Details
powertop output for the gnome desktop (2.04 KB, text/plain)
2008-03-30 23:31 EDT, William Lovaton
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Linux Kernel 11948 None None None Never

  None (edit)
Description William Lovaton 2008-03-30 23:13:41 EDT
Description of problem:
powertop is showing that ehci_work is waking up the CPU 10 times per second all
the time with more recent kernels.  Besides, there are new culprits like <kernel
IPI> : Rescheduling interrupts that didn't showed up with previous kernels.

Version-Release number of selected component (if applicable):
Live Image on a USB stick of Fedora Rawhide Snapshot 20080328 released a few
days ago.  This is also happening in Fedora 8 with the latest updates (post
2.6.23 kernels)


How reproducible:
Always, just open powertop and you will always see the following line:
45.3% ( 10.0)     <kernel core> : ehci_work (ehci_watchdog)


Actual results:
The CPU can't sleep for longer periods of time so it can't save power,
decreasing battery life and increasing the electricity bill.


Expected results:
There should be no wakeups.  It didn't showed on 2.6.23 kernels so it's
something that should be fixed ASAP.
Comment 1 William Lovaton 2008-03-30 23:19:25 EDT
Created attachment 299670 [details]
powertop output for the command line

I collected this with the following command:
   # sleep 5 ; powertop -d 20

This is running the Fedora Rawhide Snapshot on a USB stick in init 3, then I
disabled a few services just for the sake of taking wake ups to a minimum.

Here you can see that it would have been an excellent 3 wps or less if it not
were for this bug (ehci_work) showing up in the stats.
Comment 2 Dave Jones 2008-03-30 23:28:42 EDT
it's probably something periodically waking up to do disk IO (and hence waking
up the usb stick).
Comment 3 William Lovaton 2008-03-30 23:31:33 EDT
Created attachment 299684 [details]
powertop output for the gnome desktop

Again, I collected this with the following command using gnome-terminal:
   # sleep 5 ; powertop -d 20

This is running the Fedora Rawhide Snapshot on a USB stick in init 5, the only
thing I disabled was the wireless networking in NetworkManager so the iwl3945
driver doesn't show up here.

Note that there is a new entry I didn't see before with previous kernels:
21.8% (  4.8)	   <kernel IPI> : Rescheduling interrupts

What is that? what is the definition of IPI? I guess this is something new in
the kernel.

Besides this there is another one: <kernel IPI> : TLB shootdowns but it doesn't
show up high in the stats.

Another thing, this bug is in Fedora 8 with the latest updates too but the
entry in powertop looks like this:
5,9% ( 10,0)	  nash-hotplug : ehci_irq (ehci_watchdog)

I guess this is the same problem.  What it nash-hotplug?? I can't see any
process running with that name.
Comment 4 William Lovaton 2008-03-30 23:34:56 EDT
Dave, so the only way to confirm this is installing Rawhide on the hard drive??
or may be using the Live CD instead of the USB stick??

I wonder if you see the same thing on your laptop or this is just me.

I am using a Dell XPS M1210 laptop with Intel Core Duo ICH7 chipset.
Comment 5 Bug Zapper 2008-05-14 04:27:56 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 William Lovaton 2008-11-05 22:20:38 EST
Well, this still happens in Fedora 10 Preview.

On my laptop (Dell XPS M1210) I just realized that it was due to the uvcvideo driver for the webcam.  Removing that driver solves the wake ups.

But, on my desktop computer (Dell XPS 420 Quad Core) it uses the same driver because my 22" LCD monitor has a compatible webcam, I remove the driver but it doesn't solve the wake ups.

So, what else can I do to figure out the real source in this case? Maybe is it because of the mouse and keyboard being connected to an USB port?
Comment 7 Bug Zapper 2008-11-25 21:11:24 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 William Lovaton 2009-07-17 17:06:29 EDT
Ok, this is a driver problem and every time I power up my laptop y have to "modprobe -r uvcvideo" to reduce the power consumption.  As I said in my first comment the module wakes up the cpu 10 times per second.

This problem is being worked upstream by Laurent Pinchart y Matthew Garrett:
http://bugzilla.kernel.org/show_bug.cgi?id=11948

It would be nice if the kernel can handle this situation automatically and save power while the webcam is not being used.
Comment 9 Bug Zapper 2010-04-27 07:58:34 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 10 Bug Zapper 2010-06-28 06:34:08 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.